gravitywars (1.102-37) unstable; urgency=medium

  * Team Upload
  * Use dh-cruft to register and purge /var/games/gravitywars{,/hscore.gw}
  * Rename files under debian/ for debhelper 14/15 compatibility
  * Add debian/salsa-ci.yml
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.4, drop Priority: tag

 -- Alexandre Detiste <tchet@debian.org>  Wed, 29 Apr 2026 00:18:48 +0200

gravitywars (1.102-36) unstable; urgency=medium

  * Team Upload
  * rewrite copyright in new format
  * switch from pkg-config to pkgconf

  [ Guillem Jover ]
  * patch to add missing function-declaration (Closes: #1066390)

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Update standards version to 4.6.1, no changes needed.

 -- Alexandre Detiste <tchet@debian.org>  Thu, 09 May 2024 01:00:46 +0200

gravitywars (1.102-35) unstable; urgency=medium

  * Team upload.

  [ Reiner Herrmann ]
  * Point Vcs-* fields to salsa

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make (Closes: #916254)

  [ Reiner Herrmann ]
  * Allow overriding of CFLAGS and use pkg-config instead of sdl-config
  * Enable all hardening options
  * Drop obsolete menu file
  * Declare that d/rules does not require root
  * Fix spelling error found by lintian
  * Drop dh_installchangelogs override, as it can find the changelog on its own

  [ Markus Koschany ]
  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.5.1.

 -- Markus Koschany <apo@debian.org>  Wed, 03 Feb 2021 02:09:11 +0100

gravitywars (1.102-34) unstable; urgency=medium

  * Team upload.
  * Install gravitywars.xpm to /usr/share/pixmaps, so that the icon is
    displayed by all menu systems. Thanks to Michael Terry for the report.
    (Closes: #527745)
  * Switch to source format 3.0 (quilt).
  * gravitywars.desktop: Add keywords and a comment in German.
  * menu: Adjust the icon path.
  * wrap-and-sort -sa.
  * Declare compliance with Debian Policy 3.9.6.
  * Use compat level 9 and require debhelper >= 9.
  * Use canonical Vcs-URI.
  * Remove quilt from Build-Depends because source format 3.0 uses quilt by
    default.
  * d/control: Add ${misc:Depends} substvar.
  * Rewrite debian/rules and switch to dh sequencer.
  * Install man page with manpages file.
  * Install documentation with docs file.
  * Create /var/games/gravitywars and /usr/games with dirs file.
  * Install icons, data and the desktop file with install file.
  * postrm: Use set -e.
  * Remove GravityWars101 with clean file.
  * Add hardening.patch and harden the binary.

 -- Markus Koschany <apo@debian.org>  Sat, 21 Nov 2015 21:27:21 +0100

gravitywars (1.102-33) unstable; urgency=medium

  * Team upload.
  * Do not use the obsolete and incorrect full path to dpkg-statoverride.
    Closes: #770062

 -- Peter Pentchev <roam@ringlet.net>  Sat, 29 Nov 2014 01:40:39 +0200

gravitywars (1.102-32) unstable; urgency=low

  [ Barry deFreese ]
  * Add myself to uploaders.
  * Add desktop file (Closes: #452576)
  * debian/rules - Remove -s option from install (Closes: #437080)
  * Don't ignore make clean errors
  * 020_sdl_joystick.diff - Add joystick support. (Closes: #508933).
    + Thanks to Titon Barua for the patch.
  * Add -j option to manpage for calibrating the joystick.
  * 030_ucase_password.diff - Allow upper case password. (Closes: #522861).
    + Thanks to Steve Cotton for the patch!
  * Version link to GPL license in copyright.
  * Add appropriate copyright holder to debian/copyright.
  * Remove quilt .pc dir on clean.
  * Bump Standards Version to 3.8.1. (No changes needed).

  [ Ansgar Burchardt ]
  * debian/control: Change XS-Vcs-* to Vcs-*

 -- Barry deFreese <bdefreese@debian.org>  Mon, 06 Apr 2009 14:01:48 -0400

gravitywars (1.102-31) unstable; urgency=low

  [ Sam Hocevar (Debian packages) ]
  * debian/control:
    + Fixed the maintainer field.
    + Added Vcs fields.
  * debian/compat:
    + Set level to 5.

  [ Jon Dowland ]
  * update menu section to "Games/Action" for menu transition
    (thanks Linas Žvirblis)

 -- Jon Dowland <jon@alcopop.org>  Thu, 12 Jul 2007 11:30:07 +0100

gravitywars (1.102-30) unstable; urgency=low

  * Moved packaging to the Debian Games Team.
  * Use quilt for patch management.
  * debian/control:
    + Set policy to 3.7.2.
    + Build-depend on quilt.
    + Enhanced the long description and clarified that Gravity Wars is merely
      inspired by, not based on, Gravity Force, and that there is no longer
      an upstream website for it (Closes: #348278).
    + Removed deprecated suidmanager conflict.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 16 May 2006 03:57:51 +0200

gravitywars (1.102-29) unstable; urgency=low

  * debian/control:
    + Set policy to 3.6.2.1.
  * debian/postinst:
    + Properly use dpkg-statoverride.
    + Fix deprecated use of chown.
  * Makefile:
    + Compile with -g -O2 instead of -O3 -funroll-loops (Closes: #295695).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 12 Nov 2005 13:07:17 +0100

gravitywars (1.102-28) unstable; urgency=low

  * debian/control:
    + Set policy to 3.6.1.1.
  * moveship.c:
    + Fixed build with gcc-3.4, thanks to Andreas Jochens (Closes: #258737).
    + Fixed other warnings.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 11 Jul 2004 11:48:51 +0200

gravitywars (1.102-27) unstable; urgency=low

  * debian/control:
    + Build-depend on libsdl1.2-dev (>= 1.2.5-8) because 1.2.5-7 had a broken
      shlibs file.
    + Removed the build-dependency on dpkg-dev since it is in build-essential.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 12 Jun 2003 13:31:00 +0200

gravitywars (1.102-26) unstable; urgency=low

  * debian/control:
    + Set policy to 3.5.10.
    + Removed the leading "a" in the package description.
    + Removed ${misc:Depends} in the Depends field.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 30 May 2003 18:58:03 +0200

gravitywars (1.102-25) unstable; urgency=low

  * Fixed debian/rules so that 'dpkg-buildpackage -B' works and the binary
    dependencies are correct (Closes: #191460).

 -- Samuel Hocevar <sam@zoy.org>  Thu,  1 May 2003 16:21:53 +0200

gravitywars (1.102-24) unstable; urgency=low

  * New maintainer (Closes: #149933).
  * Updated policy to 3.5.9.0.
  * Reduced the huge console splash message to two lines.
  * Ported the code to use SDL instead of svgalib (Closes: #159003). Package
    is now Arch: any, and binary is no longer setuid root.
  * Moved architecture-independant data from /usr/lib to /usr/share.
  * We use dpkg-statoverride instead of shipping a setgid binary.
  * Added switch to fullscreen using the 'f' key.
  * Added a "keys" section to the manpage.
  * Drew an icon for gravitywars.

 -- Samuel Hocevar <sam@zoy.org>  Tue, 22 Apr 2003 19:43:57 +0200

gravitywars (1.102-23) unstable; urgency=low

  * Debhelper v4.
  * Orphaned the package, as I have no systems left that have working svga,
    and so have no way or playing the game. :-(

 -- Joey Hess <joeyh@debian.org>  Thu, 13 Jun 2002 17:56:20 -0400

gravitywars (1.102-22) unstable; urgency=low

  * Since only i386 has svgalib now, I'm making this package be Arch: i386

 -- Joey Hess <joeyh@debian.org>  Tue,  3 Apr 2001 15:04:12 -0700

gravitywars (1.102-21) unstable; urgency=low

  * Re-added *.obj files, which were accidentually removed when the package
    was put in cvs. They are not object files in the sense cvs-inject
    thought.. Closes: #92664

 -- Joey Hess <joeyh@debian.org>  Tue,  3 Apr 2001 14:27:25 -0700

gravitywars (1.102-20) unstable; urgency=low

  * Retry..
  * Modified one refernece to /var/lib/games, Closes: #81988
    Oddly, the other reference that was patched in the bug report
    was already using /var/games in my released sources.

 -- Joey Hess <joeyh@debian.org>  Thu, 11 Jan 2001 23:06:51 -0800

gravitywars (1.102-18) unstable; urgency=low

  * Transition to statoverride.

 -- Joey Hess <joeyh@debian.org>  Wed, 10 Jan 2001 14:52:38 -0800

gravitywars (1.102-17) unstable; urgency=low

  * Modified to use FHS /var/games.

 -- Joey Hess <joeyh@debian.org>  Sun,  5 Nov 2000 16:47:02 -0800

gravitywars (1.102-16) unstable; urgency=low

  * It seems that when I imported it into cvs, cvs-inject didn't apply
    any of the debian patches. Quite weird, and of course this made it
    not understand FHS layout at all. Hand-applied the patches,
    Closes: #76069

 -- Joey Hess <joeyh@debian.org>  Wed,  1 Nov 2000 20:46:17 -0800

gravitywars (1.102-15) unstable; urgency=low

  * New, no, make that old maintainer. Edward made it free, now I don't
    mind maintaining it again.

 -- Joey Hess <joeyh@debian.org>  Tue, 31 Oct 2000 14:39:40 -0800

gravitywars (1.102-14) unstable; urgency=low

  * New maintainer. (Closes: Bug#68641)
  * Email conversation with author.
  * Changed the authors email address.
  * Licence changed from not-for-profit, to GPL.
  * Updated to Standard-Version: 3.2.0.

 -- Edward Betts <edward@debian.org>  Fri, 11 Aug 2000 01:04:38 +0100

gravitywars (1.102-13) unstable; urgency=low

  * Orphaned the package, I don't maintain non-free things anymore.

 -- Joey Hess <joeyh@master.debian.org>  Thu, 18 Mar 1999 14:56:45 -0800

gravitywars (1.102-12) unstable; urgency=low

  * Built with latest debhelper to change how the suid binary is registered.

 -- Joey Hess <joeyh@master.debian.org>  Tue, 27 Oct 1998 21:41:09 -0800

gravitywars (1.102-11) unstable; urgency=low

  * Fixed == bashism.

 -- Joey Hess <joeyh@master.debian.org>  Thu, 20 Aug 1998 00:47:45 -0700

gravitywars (1.102-10) unstable; urgency=low

  * Removed icon=none from menu file.

 -- Joey Hess <joeyh@master.debian.org>  Wed,  5 Aug 1998 14:27:24 -0700

gravitywars (1.102-9) frozen unstable; urgency=low

  * Fixed postrm to call update-menus.

 -- Joey Hess <joeyh@master.debian.org>  Mon, 13 Apr 1998 23:32:07 -0700

gravitywars (1.102-8) unstable; urgency=low

  * Rebuilt with a newer svgalib so it will not depend on the -dummy package
    now.
  * Made high score file not be a conffile.

 -- Joey Hess <joeyh@master.debian.org>  Fri, 13 Mar 1998 13:11:00 -0800

gravitywars (1.102-7) unstable; urgency=low

  * Wrote a man page.
  * Modified gravitywars so it does not drop its sgid games permissions,
    (svgalib gives up sgid by default), which lets me fix the permissions
    of the score file.

 -- Joey Hess <joeyh@master.debian.org>  Sun, 22 Feb 1998 18:44:49 -0800

gravitywars (1.102-6) unstable; urgency=low

  * Updated standards-version.

 -- Joey Hess <joeyh@master.debian.org>  Mon,  9 Feb 1998 14:17:34 -0800

gravitywars (1.102-5) unstable; urgency=low

  * Reupload.

 -- Joey Hess <joeyh@master.debian.org>  Tue, 18 Nov 1997 13:36:12 -0500

gravitywars (1.102-4) unstable; urgency=low

  * Not DFSG-free, so moved to non-free (#14958).
  * Use debhelper.

 -- Joey Hess <joeyh@master.debian.org>  Sun, 16 Nov 1997 19:08:03 -0500

gravitywars (1.102-3) unstable; urgency=low

  * Rebuilt with libc6.
  * Routine update of debian/rules:
    Fakeroot and sudo fixes.

 -- Joey Hess <joeyh@master.debian.org>  Sun, 10 Aug 1997 19:05:06 -0400

gravitywars (1.102-2) unstable; urgency=low

  * Rebuilt to fix name of upstream changelog.
  * Update to menu-1 format, moved entry out of Apps into Games.
  * Routine update of debian/rules:
    Run dpkg-gencontrol after debstd, and delete substvars during clean.

 -- Joey Hess <joeyh@master.debian.org>  Fri, 9 May 1997 12:38:01 -0400

gravitywars (1.102-1) unstable; urgency=low

  * First release.

 -- Joey Hess <joeyh@master.debian.org>  Mon, 6 Jan 1997 14:48:08 -0500
